<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg copy</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-copy">
<span id="hg-copy-1"></span>
<h1 class="title">hg copy</h1>
<h2 class="subtitle" id="mark-files-as-copied-for-the-next-commit">mark files as copied for the next commit</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
<li><a class="reference internal" href="#aliases" id="toc-entry-4">Aliases</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg copy [OPTION]... (SOURCE... DEST | --forget DEST...)
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>Mark dest as having copies of source files. If dest is a
directory, copies are put in that directory. If dest is a file,
the source must be a single file.</p>
<p>By default, this command copies the contents of files as they
exist in the working directory. If invoked with -A/--after, the
operation is recorded, but no copying is performed.</p>
<p>To undo marking a destination file as copied, use --forget. With that
option, all given (positional) arguments are unmarked as copies. The
destination file(s) will be left in place (still tracked). Note that
<a class="reference external" href="hg-copy.html"><tt class="docutils literal">hg copy <span class="pre">--forget</span></tt></a> behaves the same way as <a class="reference external" href="hg-rename.html"><tt class="docutils literal">hg rename <span class="pre">--forget</span></tt></a>.</p>
<p>This command takes effect with the next commit by default.</p>
<p>Returns 0 on success, 1 if errors are encountered.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">--forget</span></kbd></td>
<td>unmark a destination file as copied</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-A</span>, <span class="option">--after</span></kbd></td>
<td>record a copy that has already occurred</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--at-rev <var>&lt;REV&gt;</var></span></kbd></td>
<td>(un)mark copies in the given revision (EXPERIMENTAL)</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-f</span>, <span class="option">--force</span></kbd></td>
<td>forcibly copy over an existing managed file</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-I</span>, <span class="option">--include <var>&lt;PATTERN[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>include names matching the given patterns</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-X</span>, <span class="option">--exclude <var>&lt;PATTERN[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>exclude names matching the given patterns</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-n</span>, <span class="option">--dry-run</span></kbd></td>
<td>do not perform actions, just print output</td></tr>
</tbody>
</table>
<p>[+] marked option can be specified multiple times</p>
</div>
<div class="section" id="aliases">
<h1><a class="toc-backref" href="#contents">Aliases</a></h1>
<pre class="literal-block">
cp
</pre>
</div>
</div>
</body>
</html>
